<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/colorBgWhiteGray">


    <!-- Banner Image -->
    <ImageView
        android:adjustViewBounds="true"
        android:id="@+id/iv_banner"
        android:layout_width="match_parent"
        android:layout_height="100dp"
        android:scaleType="fitCenter"
        android:src="@drawable/ic_roaming_banner"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <!-- Main Title -->
    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/tv_main_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/margin_2x_size"
        android:gravity="center"
        android:text="Enjoying Roaming to Mainland China!"
        android:textColor="@color/colorPrimary"
        android:textSize="@dimen/extra_large_text_size"
        android:textStyle="bold"
        app:layout_constraintTop_toBottomOf="@+id/iv_banner" />

    <!-- Reminder Title -->

    <WebView
        android:id="@+id/tv_remind_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/margin_2x_size"
        android:background="@color/white"
        android:padding="@dimen/margin_4x_size"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_main_title"
        tools:ignore="WebViewLayout" />


    <WebView
        android:id="@+id/custom_TextView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/margin_2x_size"
        android:background="@color/white"
        android:padding="@dimen/margin_3x_size"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_remind_title"
        tools:ignore="WebViewLayout" />


    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/frame_check"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:background="@color/white"
        android:padding="@dimen/margin_2x_size"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/custom_TextView">

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/roaming_service"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.SwitchCompat
            android:id="@+id/swOnOff"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginEnd="10dp"
            android:thumb="@drawable/custom_thumb"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:track="@drawable/custom_track" />

    </androidx.constraintlayout.widget.ConstraintLayout>


    <ImageView
        android:id="@+id/iv_banner_two"
        android:layout_width="match_parent"
        android:layout_height="100dp"
        android:layout_marginTop="@dimen/margin_2x_size"
        android:scaleType="fitCenter"
        android:src="@drawable/ic_roaming_banner"
        app:layout_constraintTop_toBottomOf="@+id/frame_check" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/roaming_recycler"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/margin_1x_size"
        android:padding="@dimen/margin_1x_size"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/iv_banner_two" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_detail"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="@dimen/margin_2x_size"
        android:visibility="gone"
        app:layout_constraintTop_toBottomOf="@+id/roaming_recycler">


        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/basic_benefit"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/margin_1x_size"
            android:text="Basic Benefit"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/constraintLayout3"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_tab_box_round_gray"
            android:padding="@dimen/margin_1x_size"
            app:layout_constraintTop_toBottomOf="@+id/basic_benefit">

            <ImageView
                android:id="@+id/ic_logo"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:src="@drawable/ic_one_plan"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/customTextView2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/margin_1x_size"
                android:text="Data Internet"
                android:textSize="@dimen/large_text_size"
                android:textStyle="bold"
                app:layout_constraintStart_toEndOf="@+id/ic_logo"
                app:layout_constraintTop_toTopOf="parent" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/tv_data"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/margin_1x_size"
                android:text="5 GB"
                android:textColor="@color/colorPrimary"
                android:textSize="@dimen/large_text_size"
                android:textStyle="bold"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@+id/ic_logo"
                app:layout_constraintTop_toBottomOf="@+id/customTextView2" />

        </androidx.constraintlayout.widget.ConstraintLayout>


        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/tv_note"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:text="@string/note_roaming_service"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/constraintLayout3" />

        <com.seatel.mobilehall.util.customview.CustomButton
            android:id="@+id/btn_subscribe"
            android:layout_width="match_parent"
            android:layout_height="35dp"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="20dp"
            android:layout_marginBottom="@dimen/margin_1x_size"
            android:background="@drawable/bg_round_button_primary"
            android:gravity="center"
            android:text="subscribe"
            android:textColor="@color/white"
            app:layout_constraintTop_toBottomOf="@+id/tv_note"
            tools:layout_editor_absoluteX="0dp" />

    </androidx.constraintlayout.widget.ConstraintLayout>


</androidx.constraintlayout.widget.ConstraintLayout>
